Bug 124664 - Eurotel CardPhone PCMCIA Modem not working with serial_cs
Eurotel CardPhone PCMCIA Modem not working with serial_cs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-28 08:36 EDT by Petr Tuma
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:19:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Alternative patch (2.50 KB, patch)
2004-06-19 09:20 EDT, Alan Cox
no flags Details | Diff

  None (edit)
Description Petr Tuma 2004-05-28 08:36:55 EDT
The serial_cs driver in /drivers/serial does not work with the Eurotel
CardPhone PCMCIA Modem. The problem can be traced down to the PCMCIA
card claiming to have an IO window of 16 rather than 8 bytes, which
the driver skips. The fix below works for me, although I do not claim
to understand PCMCIA enough to be sure it does not break other cards ...

# diff serial_cs.c.new serial_cs.c.old
410,412c410
<                       if ((cf->io.nwin > 0) &&
<                           ((cf->io.win[0].len == 8) ||
<                            (cf->io.win[0].len == 16)) &&
---
>                       if ((cf->io.nwin > 0) && (cf->io.win[0].len ==
8) &&


Version-Release number of selected component (if applicable):
kernel-2.6.6-1.377

How reproducible:
Always

Steps to Reproduce:
N/A

Additional info:
N/A
Comment 1 Alan Cox 2004-06-19 09:19:48 EDT
This might be a safer approach - look for 8port entries and then for
16. Let me know if something like this also works

(see attachment)
Comment 2 Alan Cox 2004-06-19 09:20:44 EDT
Created attachment 101258 [details]
Alternative patch
Comment 3 Petr Tuma 2004-06-19 15:55:48 EDT
Tested the patch, works perfect, thanks ! (In fact, using it to write
this log entry :-).
Comment 4 Dave Jones 2005-04-16 00:19:51 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.